LINUX.ORG.RU

Alt linux 8 сп + qt4

 ,


0

1

Здравствуйте подскажите что может быть ставлю qt4 командой apt-get install gcc5 gcc5-c++ qt4-devel Проблема в том что когда делаю сборку qmake-qt4 make clean make Он ругается на отсутствие /usr/bin/x86_64-alt-linux-g++ В чем может быть проблема не знаю…

@UVV: Альт линукс — это российский дистрибутив, первая версия которого вышла аж в 2001 году. Я на всякий случай напоминаю, что ни про какое импортозамещение никто тогда даже не думал, и никаких госпоставок с линуксом в природе не существовало (ну кроме МСВС разве что, и то тогда про неё мало кто знал).

hobbit ★★★★★ ()
Ответ на: комментарий от UVV

А всё остальное — это что? Свой дистрибутив со своей пакетной базой.

Ты ведь не предъявляешь претензий Дебиану, например, что он использует готовый LibreOffice, Chrome, PostgreSQL и др.?

hobbit ★★★★★ ()
Последнее исправление: hobbit (всего исправлений: 1)
Ответ на: комментарий от UVV

qt4 в 2020-м? Серьёзно?

А чому бы и нет. Qt5 довольно сильно разжирела, русские хоткеи там ломали, потом чинили, потом опять ломали… (Сейчас посмотрел 5.15.2 на манжаре —- тьфу-тьфу, вроде, работают.)

Ну и мы не знаем специфики ТСа, вдруг у него есть старый проект с привязкой к Qt3-Support и др. У себя я всё такое повыкидывал в итоге, но выкидывание растянулось довольно надолго. Если его озадачили «есть проект, адаптируй», то я ему не завидую.

Нет, понятно, официальной поддержки уже давно нет, с неё надо уходить. Но есть, скажем так, нишевые ситуации.

hobbit ★★★★★ ()
Ответ на: комментарий от UVV

А что значат буквы «СП»?

Это тайна. :-) Я на самом деле не знаю расшифровку, но это признак дистрибутива с сертификатом ФСТЭК. И по нему, кстати, техподдержка положена, если он правильно получен. А вот если неправильно, то действительно непонятен смысл использовать этот дистрибутив, а не что-то современное на p9 (ну ладно я из-за TDE на p8 сижу).

AS ★★★★★ ()
Последнее исправление: AS (всего исправлений: 2)